clamav-users May 2014 archive
Main Archive Page > Month Archives  > clamav-users archives
clamav-users: Re: [clamav-users] clamav-0.98.3 make error Mac OS

Re: [clamav-users] clamav-0.98.3 make error Mac OSX 10.5.8

From: Charles Swiger <cswiger_at_nospam>
Date: Mon May 12 2014 - 23:57:36 GMT
To: ClamAV users ML <clamav-users@lists.clamav.net>

Hi--

On May 12, 2014, at 4:20 PM, Gary <ozzy@ibsltd.ca> wrote:
> ./configure --with-openssl=/usr/local/ssl
>
> Well that got me a little bit further - still having issues...
>
> I have already upgraded to the most recent version of SSL (openssl-1.0.1g).

OK, where was that installed?

If I install 1.0.1g to /usr/local, I see that symbol in:

% grep -l _EVP_MD_CTX_md /usr/local/ssl/lib/*
grep: /usr/local/ssl/lib/engines/: Is a directory
/usr/local/ssl/lib/libcrypto.1.0.0.dylib
/usr/local/ssl/lib/libcrypto.a
/usr/local/ssl/lib/libcrypto.dylib
/usr/local/ssl/lib/libssl.1.0.0.dylib
/usr/local/ssl/lib/libssl.a
/usr/local/ssl/lib/libssl.dylib

> Tried using your configure suggestion above - this is the make error:
>
> ld warning: in ../libclamav/libclamav.map, file is not of required
> architecture
> Undefined symbols:
> "_EVP_MD_CTX_md", referenced from:
> _cl_hash_file_fd_ctx in libclamav_internal_utils_la-crypto.o
> _cl_hash_file_fd in libclamav_internal_utils_la-crypto.o
> _cl_verify_signature_fd in libclamav_internal_utils_la-crypto.o

[ ... ]

You're probably not linking against the newer version of the OpenSSL libraries.

Unfortunately, the link command being run is probably hidden as CCLD unless you
feed --disable-silent-rules to ./configure.

Regards,
-- -Chuck _______________________________________________ Help us build a comprehensive ClamAV guide: https://github.com/vrtadmin/clamav-faq http://www.clamav.net/support/ml